%define name			javahelp
%define version			1.1.3
%define cvs_version		1_1_3
%define release			1jpp
%define javadir			%{_datadir}/java
%define javadocdir		%{_datadir}/javadoc
%define section			non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	JavaHelp
License:	Sun Binary Code License
Url:		http://java.sun.com/products/%{name}
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}-%{cvs_version}.zip
Source1:	%{name}.jhindexer.script
Source2:	%{name}.jhsearch.script
NoSource:	0
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
JavaHelpTM software is a full-featured, platform-independent,
extensible help system that enables developers and authors to
incorporate online help in applets, components, applications, operating
systems, and devices. Authors can also use the JavaHelp software to
deliver online documentation for the Web and corporate Intranet.

%package manual
Summary:	Manual for %{name}
Group:		Development/Libraries/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Demo for %{name}
Group:          Development/Libraries/Java
Requires:       %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -n jh%{version}
# fix files perms
chmod -R go=u-w *
# remove windows files
for file in `find . -type f -name .bat`; do rm -f $file; done

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/jhindexer
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/jhsearch

install -m 644 javahelp/lib/jhall.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
cp -pr javahelp/lib/dtd $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr demos $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr doc/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
# prevent javadoc being included in doc
rm -rf doc/api
# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.html
%{_bindir}/*
%{javadir}/%{name}-%{version}.jar
%{javadir}/%{name}.jar
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dtd

%files manual
%defattr(-,root,root)
%doc doc/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}/demos

%changelog
* Mon Mar 24 2003 David Walluck <david@anti-microsoft.org> 1.1.3-1jpp
- 1.1.3
- no more bzip2 on scripts
- fix Id tag in scripts

* Sat May 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.2-8jpp
- 1.1.2.01
- vendor, distribution, group tags
- updated scripts

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.2-7jpp 
- nosrc package
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.2-6jpp
- javadoc in %{javadocdir} again 
- additional sources in individual archives

* Fri Jan 4 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.2-5jpp
- javadoc back to /usr/share/doc
- no dependencies for manual and javadoc packages
- stricter dependency for demo package
- removed redundant jh.jar, jhbasic.jar and jsearch.jar
- changed jhall.jar name to javasearch.jar
- changed jhtools.jar name to javasearch-tools.jar
- javasearch-tools.jar in javasearch-tools package
- used jpackage scripts
- removed windows files from demo
- standardised summary

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.2-4jpp
- javadoc into javadoc package

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.2-3jpp
- first unified release
- fixed perm problems

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.2-2mdk
- split demo package 
- demo files in %{_datadir}/%{name}
- s/jPackage/JPackage/
- spec cleanup

* Tue Jul 24 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.2-1mdk
- used original archives
- s/Copyright/License
- truncated despcription length to 72 columns
- versionning
- no more source package
- merged demo and manual packages

* Sat Mar 10 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1.1-2mdk
- vendor tag
- packager tag
- sources in /usr/src/java

* Sun Feb 04 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1.1-1mdk
- first Mandrake release
